aboutsummaryrefslogtreecommitdiff
path: root/scripts/test-e2e.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test-e2e.sh')
-rwxr-xr-xscripts/test-e2e.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/test-e2e.sh b/scripts/test-e2e.sh
index 7546666..0620f25 100755
--- a/scripts/test-e2e.sh
+++ b/scripts/test-e2e.sh
@@ -267,6 +267,15 @@ rm tests/out/jetpac.NTSC.nes
rm -f tests/jetpac.nes/.nasm/addresses.txt
##
+# runrom
+
+echo "test: runrom => arithlog.nes"
+./target/debug/nasm -Werror -o tests/out/arithlog.nes tests/runrom/arithlog.s
+./target/debug/runrom --function --dump-memory tests/out/arithlog.nes > tests/out/arithlog.txt
+diff tests/out/arithlog.txt tests/expected/runrom/arithlog.txt
+exit_code=$((exit_code + $?))
+
+##
# Done!
exit $exit_code